## qtbase-opensource-src 5.15.15+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.15+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to fix assertion errors in data: URL parsing
    (CVE-2025-5455, closes: #1108475).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Jun 2025 22:50:45 +0300

qtbase-opensource-src (5.15.15+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to add null checks in table iface methods in
    linuxaccessibility/atspiadaptor.cpp (closes: #1081682).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Mar 2025 15:42:48 +0300

qtbase-opensource-src (5.15.15+dfsg-4) unstable; urgency=medium

  * Fix containsTLDEntry() crash when tldChunkCount >= 3 (closes: #1095423).
    - Thanks to Timo Röhling for help with debugging this!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Feb 2025 19:24:33 +0300

qtbase-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Enable the Vulkan support on all the architectures (i.e. not only on
    Linux), as vulkan-loader is portable, and now available also on non-Linux
    architectures in Debian:
    - remove the linux-any limitation for the libvulkan-dev build and runtime
      dependency
    - remove the linux-any limitation for the vulkan-related symbols in
      libqt5gui5t64.symbols
    - remove the linux-any limitation for the vulkan-related files in install
      files

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:20:36 +0100

qtbase-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:40:08 +0300

qtbase-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * Merge 5.15.13+dfsg-4 upload from unstable.
  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32763.diff
    - CVE-2023-34410.diff
    - CVE-2023-37369.diff
    - CVE-2023-38197.diff
  * Bump API version to qtbase-abi-5-15-15.
  * Update debian/copyright.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Aug 2024 22:07:11 +0300

qtbase-opensource-src (5.15.13+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix qfutureinterface.h for GCC 14
    (closes: #1075430).
  * Backport three upstream patches to improve D-Bus tray integration,
    in particular on non-X11 desktops (LP: #2059819).
  * Update symbols files for GCC 14.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jul 2024 15:43:37 +0300

qtbase-opensource-src (5.15.13+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to delay any communication until encrypted() can
    be responded to (CVE-2024-39936, closes: #1076293).
  * Populate ${libssl:Depends} properly for libqt5network5t64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jul 2024 18:35:58 +0300

=== debian/control ===
Source: qtbase-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Pino Toscano <pino@debian.org>,
           Timo Jyrinki <timo@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               dh-exec,
               dpkg-dev (>= 1.22.5),
               firebird-dev [linux-any],
               freetds-dev,
               libasound2-dev [linux-any],
               libatspi2.0-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdouble-conversion-dev,
               libdrm-dev [linux-any],
               libfontconfig-dev,
               libfreetype-dev,
               libgbm-dev [linux-any],
               libgl-dev,
               libgles-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libharfbuzz-dev,
               libicu-dev,
               libinput-dev [linux-any],
               libjpeg-dev,
               libkrb5-dev,
               libmd4c-dev,
               libmtdev-dev [linux-any],
               libpcre2-dev,
               libpng-dev,
               libpq-dev,
               libproxy-dev,
               libpulse-dev,
               libsqlite3-dev,
               libssl-dev,
               libudev-dev [linux-any],
               libvulkan-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-glx0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxext-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev,
               libzstd-dev,
               pkg-kde-tools,
               pkgconf,
               publicsuffix,
               qt5-qmake-bin <cross>,
               unixodbc-dev,
               zlib1g-dev
Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                     qtattributionsscanner-qt5 <!nodoc>
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase

Package: libqt5core5t64
Replaces: libqt5core5a
Breaks: libqt5core5a (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
X-Time64-Compat: libqt5core5a
Provides: qtbase-abi-5-15-15, ${t64:Provides}
Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: qttranslations5-l10n
Suggests: libthai0
Description: Qt 5 core module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtCore module contains core non-GUI functionality.

Package: libqt5gui5t64
Provides: ${t64:Provides}
Replaces: libqt5gui5
Breaks: libqt5gui5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5svg5, qt5-gtk-platformtheme, qtwayland5
Conflicts: libqt5gui5-gles
Suggests: qgnomeplatform-qt5, qt5-image-formats-plugins
Description: Qt 5 GUI module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtGui module extends QtCore with GUI functionality.

Package: qt5-gtk-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 GTK+ 3 platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the GTK+ 3 platform theme, which makes Qt use
 native icon themes, fonts, and dialogs on GTK-based environments.

Package: qt5-xdgdesktopportal-platformtheme
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XDG Desktop Portal platform theme
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the XDG Desktop portal platform theme, which makes
 Qt use native file dialogs on Flatpak/Snap based environments.

Package: libqt5network5t64
Provides: ${t64:Provides}
Replaces: libqt5network5
Breaks: libqt5network5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${libssl:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 network module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtNetwork module offers classes that allow you to write TCP/IP clients and
 servers. It provides classes to make network programming easier and portable.

Package: libqt5opengl5t64
Provides: ${t64:Provides}
Replaces: libqt5opengl5
Breaks: libqt5opengl5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 OpenGL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtOpenGL module offers classes that make it easy to use OpenGL in Qt
 applications.
 .
 OpenGL is a standard API for rendering 3D graphics. OpenGL only deals with 3D
 rendering and provides little or no support for GUI programming issues.

Package: libqt5sql5t64
Provides: ${t64:Provides}
Replaces: libqt5sql5
Breaks: libqt5sql5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [linux-any]
Description: Qt 5 SQL module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtSql module helps you provide seamless database integration to your Qt
 applications.

Package: libqt5sql5-mysql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 MySQL database driver
 This package contains the MySQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MySQL DB.

Package: libqt5sql5-odbc
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 ODBC database driver
 This package contains the ODBC plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 ODBC DB.

Package: libqt5sql5-psql
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 PostgreSQL database driver
 This package contains the PostgreSQL plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 PostgreSQL DB.

Package: libqt5sql5-sqlite
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SQLite 3 database driver
 This package contains the SQLite 3 plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access an
 SQLite 3 DB.

Package: libqt5sql5-tds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 FreeTDS database driver
 This package contains the FreeTDS plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 MS SQL or Sybase SQL server.

Package: libqt5sql5-ibase
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Firebird database driver
 This package contains the Firebird plugin for Qt 5.
 .
 Install it if you intend to use or write Qt programs that are to access a
 Firebird/InterBase DB.

Package: libqt5xml5t64
Provides: ${t64:Provides}
Replaces: libqt5xml5
Breaks: libqt5xml5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 XML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtXml module provides a stream reader and writer for XML documents,
 and C++ implementations of SAX and DOM.

Package: libqt5dbus5t64
Provides: ${t64:Provides}
Replaces: libqt5dbus5
Breaks: libqt5dbus5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 D-Bus module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtDBus module is a Unix-only library that you can use to make Inter-Process
 Communication using the D-Bus protocol.
 .
 Applications using the QtDBus module can provide services to other, remote
 applications by exporting objects, as well as use services exported by those
 applications by placing calls and accessing properties.

Package: libqt5test5t64
Provides: ${t64:Provides}
Replaces: libqt5test5
Breaks: libqt5test5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 test module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtTest module provides classes for unit testing Qt applications and
 libraries.

Package: libqt5concurrent5t64
Provides: ${t64:Provides}
Replaces: libqt5concurrent5
Breaks: libqt5concurrent5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 concurrent module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtConcurrent module contains functionality to support concurrent execution
 of program code.

Package: libqt5widgets5t64
Provides: ${t64:Provides}
Replaces: libqt5widgets5
Breaks: libqt5widgets5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 widgets module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtWidgets module extends QtGui with C++ widget functionality.

Package: libqt5printsupport5t64
Provides: ${t64:Provides}
Replaces: libqt5printsupport5
Breaks: libqt5printsupport5 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libcups2
Description: Qt 5 print support module
 Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

# Use already defined upstream version as DEB_VERSION_UPSTREAM.
include /usr/share/dpkg/pkg-info.mk

export PATH := $(PATH):$(shell pwd)/bin
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell getconf LFS_CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export PKG_CONFIG := /usr/bin/$(DEB_HOST_GNU_TYPE)-pkg-config
sslpkgname := $(shell dpkg-query --show '--showformat=$${Depends}' libssl-dev | cut -d ' ' -f1)

# Upstream changelog
upstream_changes := dist/changes-$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+dfsg//' | sed -e 's/+git.*//')

ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
	extra_configure_opts += -plugin-sql-ibase
else
	extra_configure_opts += -no-sql-ibase
endif

no_pch_architectures := arm64
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(no_pch_architectures)))
	extra_configure_opts += -no-pch
endif

gles2_architectures := armel armhf
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	extra_configure_opts += -opengl es2
else
	extra_configure_opts += -opengl desktop
endif

ifneq ($(DEB_HOST_ARCH_OS),$(findstring $(DEB_HOST_ARCH_OS), linux))
	extra_configure_opts += -no-eglfs
endif

# See https://gcc.gnu.org/bugzilla/show_bug.cgi?id=85412
ifeq ($(DEB_HOST_ARCH),ia64)
	extra_configure_opts += QMAKE_CFLAGS_OPTIMIZE_FULL-=-O3
endif

# Compile without sse2 support on i386
# Do not use precompiled headers in order to be able to rebuild the gui
# submodule.
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	cpu_opt = -no-sse2 -no-pch
endif

platform_os = $(or $(mkspec_osmap_$(DEB_HOST_ARCH_OS)),$(DEB_HOST_ARCH_OS))
platform_arg = $(platform_os)-g++

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
platform_arg = $(platform_os)-$(DEB_HOST_GNU_CPU)-$(DEB_HOST_ARCH_LIBC)$(filter-out base,$(DEB_HOST_ARCH_ABI))-g++
endif

# Refuse cross building with a qmake whose version differs from the package.
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
extra_configure_opts += -external-hostbindir /usr/lib/qt5/bin
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NUMJOBS = 1
endif

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W qt5-qmake-bin`" = "$(DEB_VERSION)"
endif
	MAKEFLAGS="-j$(NUMJOBS) ${CXXFLAGS:%=EXTRA_CXXFLAGS+=%} ${LDFLAGS:%=EXTRA_LFLAGS+=%}" \
	        ./configure \
	            -confirm-license \
	            -prefix "/usr" \
	            -bindir "/usr/lib/qt5/bin" \
	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
	            -docdir "/usr/share/qt5/doc" \
	            -headerdir "/usr/include/$(DEB_HOST_MULTIARCH)/qt5" \
	            -datadir "/usr/share/qt5" \
	            -archdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -plugindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins" \
	            -importdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/imports" \
	            -translationdir "/usr/share/qt5/translations" \
	            -hostdatadir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5" \
	            -sysconfdir "/etc/xdg" \
	            -examplesdir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples" \
	            -opensource \
	            -plugin-sql-mysql \
	            -plugin-sql-odbc \
	            -plugin-sql-psql \
	            -plugin-sql-sqlite \
	            -no-sql-sqlite2 \
	            -plugin-sql-tds \
	            -system-sqlite \
	            -platform $(platform_arg) \
	            -system-harfbuzz \
	            -system-zlib \
	            -system-libpng \
	            -system-libjpeg \
	            -system-doubleconversion \
	            -system-pcre \
	            -openssl \
	            -no-rpath \
	            -verbose \
	            -optimized-qmake \
	            -dbus-linked \
	            -no-strip \
	            -no-separate-debug-info \
	            -qpa xcb \
	            -xcb \
	            -glib \
	            -icu \
	            -accessibility \
	            -compile-examples \
	            -no-directfb \
	            -no-use-gold-linker \
	            -no-mimetype-database \
	            -no-feature-relocatable \
	            -xcb-native-painting \
	            $(extra_configure_opts) \
	            $(cpu_opt) \
	            QMAKE_CFLAGS="$(CFLAGS)" \
	            QMAKE_CXXFLAGS="$(CXXFLAGS)" \
	            QMAKE_LFLAGS="$(LDFLAGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) confclean distclean

	# Extra stuff missed by confclean/distclean

	# Leftover dirs
	find -depth -type d \( -false \
	  -o -name debug-shared \
	  -o -name debug-static \
	  -o -name \*.gch \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name pkgconfig \
	  -o -name .rcc \
	  -o -name release-shared \
	  -o -name release-static \
	  -o -name .uic \
	\) -print0 | xargs -0 rm -rf

	# Leftover files and all symlinks
	find \( -false \
	  -o -name lib\*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name lib\*.so \
	  -o -type l \
	\) -print0 | xargs -0 rm -rf

	# Delete all Makefiles, excluding some from src/3rdparty
	find $(CURDIR) -name Makefile \
	  ! -path $(CURDIR)/src/3rdparty/Makefile \
	  ! -path $(CURDIR)/src/3rdparty/freetype/\* \
	  ! -path $(CURDIR)/src/3rdparty/zlib/\* \
	  ! -path $(CURDIR)/src/3rdparty/ptmalloc/Makefile \
	-print0 | xargs -0 rm -rf

	# Any remaining executables
	find $(CURDIR) -type f -perm /u+x,g+x,o+x -exec file -i '{}' \; \
	| grep -e application/x-executable \
	| cut -d ':' -f 1 | xargs rm -f

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_build-arch:
	# Bootstrap corelibs in order to be able to build the helper tools to
	# regenerate some upstream-provided files.
	cd $(CURDIR)/src; ../bin/qmake; $(MAKE) sub-corelib
	# Add here the code to generate the helpers and then the headers.
	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
	# Rebuild only the object file that used the generated header.
	rm src/corelib/.obj/qtldurl.o
	dh_auto_build

override_dh_auto_install-arch:
	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/

ifeq ($(DEB_HOST_ARCH_CPU),i386)
	# Rebuild the necessary libs with SSE2 support.
	# Create the destination directory.
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# corelib needs make clean first to be able to rebuild.
	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/

	# gui on turn doesn't need it, and actually fails if done.
	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
endif

	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;

	# Use multiarched directory for host_bins variable (see #909575)
	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc

	# Remove leftover directories
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
	  -o -name .moc\* \
	  -o -name .obj\* \
	  -o -name .pch \
	  -o -name .rcc \
	\) -print0 | xargs -0 rm -rf

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# A user of Qt built by a distro doesn't need to find where the plugins
	# are via CMake, so don't install them.
	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Q*ThemePlugin.cmake

## qtbase-opensource-src 5.15.16+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.16+dfsg-2) experimental; urgency=medium

  * Merge changes from 5.15.15+dfsg-3.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:46:08 +0100

qtbase-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop libxkbcommon_1.6.0.diff, included in the new release.
  * Update symbols files from buildds’ and current build logs.
    - Qt_5.x symbols are now defined only in libqt5core5t64.
  * Bump ABI version to qtbase-abi-5-15-16.
  * Exclude non-free util/update_public_suffix_list.sh from the tarball.
  * Update debian/copyright.
  * Remove unused package-name-doesnt-match-sonames Lintian overrides.
    - Lintian >= 2.117.1 does not complain about t64 package names.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Jan 2025 22:26:02 +0300

=== debian/control ===
--- 
+++ 
@@ -88,7 +88,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-15, ${t64:Provides}
+Provides: qtbase-abi-5-15-16, ${t64:Provides}
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0

## qtbase-opensource-src 5.15.16+p24.04+vstable+git20250415.0044

=== debian/changelog ===
qtbase-opensource-src (5.15.16+p24.04+vstable+git20250415.0044-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Apr 2025 00:45:03 +0000

qtbase-opensource-src (5.15.16+dfsg-1) noble; urgency=medium

  * new release.

 -- KDE neon <debianneon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtbase-opensource-src (5.15.13+dfsg-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:25:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -22,8 +21,8 @@
                libfontconfig-dev,
                libfreetype-dev,
                libgbm-dev [linux-any],
-               libgl-dev,
-               libgles-dev,
+               libgl1-mesa-dev | libgl-dev,
+               libgles2-mesa-dev | libgles2-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -34,6 +33,7 @@
                libkrb5-dev,
                libmd4c-dev,
                libmtdev-dev [linux-any],
+               libmysqlclient-dev,
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
@@ -41,8 +41,9 @@
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
+               libsystemd-dev,
                libudev-dev [linux-any],
-               libvulkan-dev,
+               libvulkan-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
                libxcb-glx0-dev,
@@ -76,10 +77,11 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
+Vcs-Git: https://invent.kde.org/neon/qt/qtbase.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtbase
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5core5t64
 Replaces: libqt5core5a
@@ -88,7 +90,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-16, ${t64:Provides}
+Provides: qtbase-abi-5-15-13, ${t64:Provides}
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -132,6 +134,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
+Replaces: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -339,7 +343,3 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libcups2
-Description: Qt 5 print support module
- Qt is a cross-platform C++ application framework. Qt's primary feature

## qtbase-opensource-src 5.15.17%2Bdfsg

=== tests/auto/cmake/test_QFINDTESTDATA/tests/CMakeLists.txt ===

add_executable(test_QFINDTESTDATA WIN32 main.cpp)

target_link_libraries(test_QFINDTESTDATA Qt5::Test)

## qtbase-opensource-src 5.15.17+dfsg

=== tests/auto/cmake/test_use_modules_function/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_use_modules_function)

set(CMAKE_AUTOMOC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_executable(two two.cpp)
add_executable(three three.cpp)

find_package(Qt5Core)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

qt5_use_modules(two Test)
qt5_use_modules(three Gui Test)

=== debian/changelog ===
qtbase-opensource-src (5.15.17+dfsg-7+rpi1) forky-staging; urgency=medium

  [changes introduced in 5.6.1+dfsg-2+rpi1] by Peter Michael Green]
  * Partially fix clean target.

  [changes introduced in 5.9.1+dfsg-9+rpi1 by Peter Michael Green]
  * Disable neon (-no-neon no longer seems to work, so edit configure.json instead)

  [changes introduced in 5.15.13+dfsg-2+rpi1 by Peter Michael Green]
  * Add build-conflicts on libts-dev to avoid unwanted extra files.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 08 Feb 2026 19:29:51 +0000

qtbase-opensource-src (5.15.17+dfsg-7) unstable; urgency=medium

  * Backport upstream patch to revert locking simplification, which caused
    data race (closes: #1126100).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Jan 2026 22:25:23 +0300

qtbase-opensource-src (5.15.17+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to stop calling QXcbVirtualDesktop::dpi()
    function from QXcbScreen::logicalDpi() (closes: #1107294).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 31 Dec 2025 13:28:57 +0300

qtbase-opensource-src (5.15.17+dfsg-5) unstable; urgency=medium

  * Drop armv4.diff. No longer needed, as armel was removed.
  * Backport two upstream patches to fix data races in QReadWriteLock
    (closes: #1122641).
  * Update symbols files from the logs of buildds.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Dec 2025 00:32:45 +0300

qtbase-opensource-src (5.15.17+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not use the firebird-database on m68k and x32.

 -- Pino Toscano <pino@debian.org>  Mon, 29 Sep 2025 13:04:46 +0200

qtbase-opensource-src (5.15.17+dfsg-3) unstable; urgency=medium

  * Update symbols files for GCC 15 and IEEE long double on ppc64el.
  * Drop obsolete Breaks and Replaces.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Sep 2025 22:30:59 +0300

qtbase-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Merge 5.15.15+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5t64.symbols for sh4.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:45:42 +0300

qtbase-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge 5.15.15+dfsg-5 upload from unstable.
  * Drop patches, included in the new release:
    - CVE-2023-51714.diff
    - CVE-2024-25580.diff
    - gcc_14.diff
  * Refresh CVE-2024-39936.diff.
  * Bump ABI version to qtbase-abi-5-15-17.
  * Update debian/copyright.
  * Remove logic for Perl shebang rewriting, dh_perl now does that.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 May 2025 22:32:13 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -10,7 +11,7 @@
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.22.5),
-               firebird-dev [linux-any],
+               firebird-dev [!hurd-any !m68k !x32],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -21,8 +22,8 @@
                libfontconfig-dev,
                libfreetype-dev,
                libgbm-dev [linux-any],
-               libgl1-mesa-dev | libgl-dev,
-               libgles2-mesa-dev | libgles2-dev,
+               libgl-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -33,7 +34,6 @@
                libkrb5-dev,
                libmd4c-dev,
                libmtdev-dev [linux-any],
-               libmysqlclient-dev,
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
@@ -41,9 +41,8 @@
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-dev,
                libudev-dev [linux-any],
-               libvulkan-dev [linux-any],
+               libvulkan-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb-glx0-dev,
@@ -74,14 +73,15 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
+Build-Conflicts:
+               libts-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
-Vcs-Git: https://invent.kde.org/neon/qt/qtbase.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qtbase
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
 
 Package: libqt5core5t64
 Replaces: libqt5core5a
@@ -90,7 +90,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-13, ${t64:Provides}
+Provides: qtbase-abi-5-15-17, ${t64:Provides}
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -134,8 +134,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
-Replaces: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -248,7 +246,7 @@
  MS SQL or Sybase SQL server.
 
 Package: libqt5sql5-ibase
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa loong64 powerpc ppc64 sh4 sparc64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -343,3 +341,4 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -177,6 +177,9 @@
 	| grep -e application/x-executable \
 	| cut -d ':' -f 1 | xargs rm -f
 
+	# yet more crap
+	rm -rf doc/q*
+
 override_dh_auto_build-indep:
 	dh_auto_build -- docs

## qtbase-opensource-src 5.15.17+p24.04+vrelease+git20250828.1236

=== debian/changelog ===
qtbase-opensource-src (5.15.17+p24.04+vrelease+git20250828.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 12:37:23 +0000

qtbase-opensource-src (5.15.17+dfsg-1) noble; urgency=medium

  * new release.

 -- KDE neon <debianneon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

## qtbase-opensource-src 5.15.17+p24.04+vstable+git20250828.1236

=== debian/changelog ===
qtbase-opensource-src (5.15.17+p24.04+vstable+git20250828.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 12:36:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtbase-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -11,7 +10,7 @@
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.22.5),
-               firebird-dev [!hurd-any !m68k !x32],
+               firebird-dev [linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -22,8 +21,8 @@
                libfontconfig-dev,
                libfreetype-dev,
                libgbm-dev [linux-any],
-               libgl-dev,
-               libgles-dev,
+               libgl1-mesa-dev | libgl-dev,
+               libgles2-mesa-dev | libgles2-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -34,6 +33,7 @@
                libkrb5-dev,
                libmd4c-dev,
                libmtdev-dev [linux-any],
+               libmysqlclient-dev,
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
@@ -41,8 +41,9 @@
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
+               libsystemd-dev,
                libudev-dev [linux-any],
-               libvulkan-dev,
+               libvulkan-dev [linux-any],
                libx11-dev,
                libx11-xcb-dev,
                libxcb-glx0-dev,
@@ -73,15 +74,14 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Build-Conflicts:
-               libts-dev
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
+Vcs-Git: https://invent.kde.org/neon/qt/qtbase.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtbase
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5core5t64
 Replaces: libqt5core5a
@@ -134,6 +134,8 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
+Replaces: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -246,7 +248,7 @@
  MS SQL or Sybase SQL server.
 
 Package: libqt5sql5-ibase
-Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa loong64 powerpc ppc64 sh4 sparc64
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -341,4 +343,3 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	extra_configure_opts += -no-pch
 endif
 
-gles2_architectures := armel armhf
+gles2_architectures := armel armhf arm64
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
 	extra_configure_opts += -opengl es2
 else
@@ -127,6 +127,7 @@
 	            -no-mimetype-database \
 	            -no-feature-relocatable \
 	            -xcb-native-painting \
+	            -journald \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
 	            QMAKE_CFLAGS="$(CFLAGS)" \
@@ -177,8 +178,11 @@
 	| grep -e application/x-executable \
 	| cut -d ':' -f 1 | xargs rm -f
 
-	# yet more crap
-	rm -rf doc/q*
+	# Generated on build
+	rm -vf debian/stamp-makefile-build-tools
+
+	# more leftovers
+	rm -f .device.vars .qmake.vars
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
@@ -230,5 +234,3 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 	# A user of Qt built by a distro doesn't need to find where the plugins
-	# are via CMake, so don't install them.
-	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5Gui/Q*ThemePlugin.cmake

## qtbase-opensource-src 5.15.17+p24.04+vunstable+git20250828.1236

=== debian/changelog ===
qtbase-opensource-src (5.15.17+p24.04+vunstable+git20250828.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 12:37:01 +0000

## qtbase-opensource-src 5.15.18+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.18+dfsg-2) experimental; urgency=medium

  * Merge 5.15.17+dfsg-7 upload from unstable.
  * Stop excluding util/update_public_suffix_list.sh, it is GPL now.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Jan 2026 11:56:22 +0300

qtbase-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2024-39936.diff
    - a11y_null_checks.diff
    - containsTLDEntry.diff
  * Refresh mime_globs.diff.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-18.
  * Update debian/watch to version 5.
  * Bump Standards-Version to 4.7.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2025 22:27:48 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtbase-opensource-src
 Section: libs
-Priority: optional
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Pino Toscano <pino@debian.org>,
            Timo Jyrinki <timo@debian.org>,
@@ -10,7 +10,7 @@
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.22.5),
-               firebird-dev [linux-any],
+               firebird-dev [!hurd-any !m68k !x32],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -21,8 +21,8 @@
                libfontconfig-dev,
                libfreetype-dev,
                libgbm-dev [linux-any],
-               libgl1-mesa-dev | libgl-dev,
-               libgles2-mesa-dev | libgles2-dev,
+               libgl-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -33,7 +33,6 @@
                libkrb5-dev,
                libmd4c-dev,
                libmtdev-dev [linux-any],
-               libmysqlclient-dev,
                libpcre2-dev,
                libpng-dev,
                libpq-dev,
@@ -41,9 +40,8 @@
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-dev,
                libudev-dev [linux-any],
-               libvulkan-dev [linux-any],
+               libvulkan-dev,
                libx11-dev,
                libx11-xcb-dev,
                libxcb-glx0-dev,
@@ -77,11 +75,10 @@
 Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
                      qtattributionsscanner-qt5 <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://www.qt.io/developers/
-Vcs-Git: https://invent.kde.org/neon/qt/qtbase.git
-Vcs-Browser: https://invent.kde.org/neon/qt/qtbase
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
 
 Package: libqt5core5t64
 Replaces: libqt5core5a
@@ -90,7 +87,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 X-Time64-Compat: libqt5core5a
-Provides: qtbase-abi-5-15-17, ${t64:Provides}
+Provides: qtbase-abi-5-15-18, ${t64:Provides}
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
@@ -134,8 +131,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
-Replaces: qt5-flatpak-platformtheme (<< ${source:Version}~ciBuild)
 Description: Qt 5 XDG Desktop Portal platform theme
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -248,7 +243,7 @@
  MS SQL or Sybase SQL server.
 
 Package: libqt5sql5-ibase
-Architecture: linux-any
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x alpha hppa loong64 powerpc ppc64 sh4 sparc64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -343,3 +338,6 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libcups2
+Description: Qt 5 print support module

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/5.15/([\d\.]*)/submodules/
Matching-Pattern: qtbase-everywhere-opensource-src-(.*)\.tar\.xz
Dversionmangle: s/\+dfsg//
Repacksuffix: +dfsg
Uversionmangle: s/-/~/
